diff mbox

[v2] tests: Properly pass the num of channels to start.sh

Message ID 1439125241-1904-1-git-send-email-ilan.peer@intel.com
State Accepted
Headers show

Commit Message

Ilan Peer Aug. 9, 2015, 1 p.m. UTC
The number of channels was not properly passed from the
run-all.sh script to the start.sh script. Fix it.

Signed-off-by: Ilan Peer <ilan.peer@intel.com>
---
 tests/hwsim/run-all.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Jouni Malinen Aug. 10, 2015, 7:34 p.m. UTC | #1
On Sun, Aug 09, 2015 at 04:00:41PM +0300, Ilan Peer wrote:
> The number of channels was not properly passed from the
> run-all.sh script to the start.sh script. Fix it.

Thanks, applied.
diff mbox

Patch

diff --git a/tests/hwsim/run-all.sh b/tests/hwsim/run-all.sh
index 9bdb7b1..5cf56a9 100755
--- a/tests/hwsim/run-all.sh
+++ b/tests/hwsim/run-all.sh
@@ -108,7 +108,7 @@  if [ ! -z "$BUILD" ]; then
     fi
 fi
 
-if ! ./start.sh $VALGRIND $TRACE $NUM_CH; then
+if ! ./start.sh $VALGRIND $TRACE channels=$NUM_CH; then
 	if ! [ -z "$LOGBASEDIR" ] ; then
 		echo "Could not start test environment" > $LOGDIR/run
 	fi